<ion-header>

  <ion-navbar>
    <ion-title>Criar Conta</ion-title>
  </ion-navbar>

</ion-header>


<ion-content padding>

  <ion-refresher (ionRefresh)="doRefresh($event)">
    <ion-refresher-content></ion-refresher-content>
  </ion-refresher>

  <form #form="ngForm" novalidate>

    <ion-item class="config-input">
      <ion-label stacked floating>E-mail</ion-label>
      <ion-input type="text" name="email" [(ngModel)]="user.email" #email="ngModel" required></ion-input>
    </ion-item>

    <ion-item *ngIf="email.errors && (email.dirty || email.touched)" class="text-danger">
      O campo é obrigatório
    </ion-item>

    <ion-item class="config-input">
      <ion-label stacked floating>Senha</ion-label>
      <ion-input type="password" name="password" [(ngModel)]="user.password" #password="ngModel" required></ion-input>
    </ion-item>

    <ion-item *ngIf="password.errors && (password.dirty || password.touched)" class="text-danger">
      O campo é obrigatório
    </ion-item>

    <button class="btn-criarconta" ion-button [disabled]="!form.form.valid" (click)="createAccount()" block round>Criar Conta</button>

  </form>
</ion-content>